﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3052C: (1 year) VER VISA /5800A+1Ch
DATE:                  2010-06-03 11:55:16
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       210
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3052C
# 
#  Source(s):
#        TDS3000C Series Digital Phosphor Oscilloscopes,
#        Specifications and Performance Verification
#        Technical Reference, 071-2508-01
# 
# Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000C Check Firmware Version
#        Sub Tek TDS3000C Remote Interface Connection
#        Sub Tek TDS3000C Set Bandwidth & Number of Channels
#        Sub Tek TDS3000C Sig Path Comp Cal VISA
#        Sub Tek TDS3000C Self-Test VISA
#        Sub Tek TDS3000C Cal Initialize VISA
#        Sub Tek TDS3000C (1 yr) DCV VISA /5800
#        Sub Tek TDS3000C (1 yr) Bandwidth VISA /5800
#        Sub Tek TDS3000C (1 yr) Full BW Trig VISA /5800
#        Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /5800
#        Sub Tek TDS3000C (1 yr) Sample Rate VISA /5800
#        Sub Tek TDS3000C Trigger Chk and Level Adj VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5800         600MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.20x"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  TARGET
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  MATH         @VisaLAN = 1
  1.017  CALL         Sub Tek TDS3000C Remote Interface Connection
  1.018  JMPL         END                              @Abort

  1.019  VISA         *RST

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query VISA

  1.022  MATH         @UUT_Manufacturer = "Tektronix"
  1.023  MATH         @UUT_Model        = "TDS 3052C"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                           @Abort

  1.026  CALL         Sub Tek TDS3000C Check Firmware Version
  1.027  JMPL         END                           @Abort

  1.028  HEAD         EQUIPMENT REQUIREMENTS
  1.029  OPBR         -z Do you want to REVIEW the list of additional
  1.029  OPBR         equipment and/or accessories required?

  1.030  IF           MEM1
  1.031  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.032  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   BANDWIDTH (CH1)                    TRIGGER SENS FULL BW (CH1)
#    6.   BANDWIDTH (CH2)                    TRIGGER SENS 50 MHz (CH1)
#    7.   TRIGGER SENS FULL BW (CH1)         SAMPLE RATE AND DELAY TIME ACC
#    8.   TRIGGER SENS FULL BW (CH2)         DCV GAIN (CH2)
#    9.   TRIGGER SENS 50 MHz (CH1)          BANDWIDTH (CH2)
#   10.   TRIGGER SENS 50 MHz (CH2)          TRIGGER SENS FULL BW (CH2)
#   11.   SAMPLE RATE AND DELAY TIME ACC     TRIGGER SENS 50 MHz (CH2)

  1.033  CALL         Sub Tek TDS3000C Set Bandwidth & Number of Channels
  1.034  CALL         Sub Tek TDS3000C Sig Path Comp Cal VISA
  1.035  JMPL         END                           @Abort

  1.036  CALL         Sub Tek TDS3000C Self-Test VISA
  1.037  JMPL         END                           @Abort

  1.038  DISP         Connect the 58xxA CHAN 1 to the UUT CH 1.
  1.039  MATH         @Chan = 1
  1.040  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /5800
  1.041  JMPL         BANDWIDTH_CH1

  1.042  LABEL        DCV_CH2
  1.043  DISP         Connect the 58xxA CHAN 1 to the UUT CH 2.
  1.044  MATH         @Chan = 2
  1.045  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /5800
  1.046  JMPL         BANDWIDTH_CH2

  1.047  LABEL        BANDWIDTH_CH1
  1.048  MATH         @Chan = 1
  1.049  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /5800
  1.050  JMPL         TRIG_FULL_BW_CH1

  1.051  LABEL        BANDWIDTH_CH2
  1.052  MATH         @Chan = 2
  1.053  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /5800
  1.054  JMPL         TRIG_FULL_BW_CH2

  1.055  LABEL        TRIG_FULL_BW_CH1
  1.056  MATH         @Chan = 1
  1.057  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /5800
  1.058  JMPL         TRIG_50MH_CH1

  1.059  LABEL        TRIG_FULL_BW_CH2
  1.060  MATH         @Chan = 2
  1.061  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /5800
  1.062  JMPL         TRIG_50MH_CH2

  1.063  LABEL        TRIG_50MH_CH1
  1.064  MATH         @Chan = 1
  1.065  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /5800
  1.066  JMPL         SAMPLE_RATE

  1.067  LABEL        TRIG_50MH_CH2
  1.068  MATH         @Chan = 2
  1.069  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /5800
  1.070  JMPL         END

  1.071  LABEL        SAMPLE_RATE
  1.072  MATH         @Chan = 1
  1.073  CALL         Sub Tek TDS3000C (1 yr) Sample Rate VISA /5800
  1.074  JMPL         DCV_CH2

  1.075  LABEL        END
  1.076  HEAD         -2

  1.077  IF           @Abort
  1.078  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.079  ELSE
  1.080  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.081  ENDIF

  1.082  END
